/*
* Fichier :     globales.h
* objet :       variables globales du programme
* Auteur :      Pascal Chour
* cr le :     15/12/2015
* dernire version : 22/04/2016 (pour PCGM5)
* Copyright :   (C) Pascal Chour (2015-2016)
*/

#ifndef __INCLUDE_GLOBALES_H
#define __INCLUDE_GLOBALES_H

  extern  const char s_led_on[];
  extern  const char s_led_off[];
  extern  const char s_buz_on[];
  extern  const char s_buz_off[];
  extern  const char s_sievert[];
  extern  const char s_cpt_mn[];
  extern  const char s_limite[];
  extern  const char s_efface[];
    
  extern  unsigned int countMoyenneMin[periode_par_minute]; // nb de periodes par minutes
  extern  int countMoyenneHeure[25];         // nb d'heures +1 par jours
  extern  unsigned int nbMinutes24h;         // nb de minutes coules depuis le dbut du comptage limit   24h00
  extern  unsigned int nbMinutes;            // nb de minutes pour le passage des heures
  extern  unsigned int nbtipmn;              // index courant dans tableau comptage par minutes
  extern  unsigned int nbtiph;               // index courant dans tableau comptage par jours
  extern  unsigned int alarme_cpt;           // compteur d'alarme
  extern  unsigned int compte_inactivite;    // compteur d'inactivit  pour sortir du mode E_DIALOGUE
  extern  unsigned int jauge_batterie;       // valeur de la jauge de la batterie
  extern  unsigned long countParJour;
  extern  unsigned int countParMinute;
  extern  unsigned int seuil_alarme;         // valeur du seuil  partir duquel on gnre une alarme
  extern  unsigned int E_ETAT;               // Etat courant du compteur 
  extern  unsigned int last_count;           // dernire valeur du compteur PCF8583 lue 
  extern  float conversion_factor;           // facteur de conversion courant
  extern unsigned int derniere_erreur;       // dernire erreur interne du compteur (code, cf defines)
  extern unsigned int voltage;               // dernire tension batterie mesure  


  extern  bool_t    alarme_led;              // vrai si on fait cligonter la LED si alarme */
  extern  bool_t    alarme_buz;              // vrai si on active le buzzer si alarme */
  extern  bool_t    affiche_sievert;         // vrai si on affiche en sievert, sinon, comptage
  extern  bool_t    bascule_1s;              // change d'tat toutes les secondes.
  extern  bool_t    last_bascule_1s;         // dernier tat de bascule_1s.
  extern  bool_t    bascule_arrows;          // pour faire cligonter les flches ou le signe -. Indicateur d'activit
  extern  bool_t    memoire_alarme;          // mmorise le fait qu'il y a eu une alarme
  
  extern  struct trecept recept;
  
#endif // __INCLUDE_GLOBALES_H  
 